[arch-commits] Commit in ghc/repos (8 files)

Vesa Kaihlavirta vesa at archlinux.org
Sat Nov 19 13:36:56 EST 2011


    Date: Saturday, November 19, 2011 @ 13:36:55
  Author: vesa
Revision: 142983

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  ghc/repos/testing-i686/
  ghc/repos/testing-i686/PKGBUILD
    (from rev 142982, ghc/trunk/PKGBUILD)
  ghc/repos/testing-i686/build.mk
    (from rev 142982, ghc/trunk/build.mk)
  ghc/repos/testing-i686/ghc.install
    (from rev 142982, ghc/trunk/ghc.install)
  ghc/repos/testing-x86_64/
  ghc/repos/testing-x86_64/PKGBUILD
    (from rev 142982, ghc/trunk/PKGBUILD)
  ghc/repos/testing-x86_64/build.mk
    (from rev 142982, ghc/trunk/build.mk)
  ghc/repos/testing-x86_64/ghc.install
    (from rev 142982, ghc/trunk/ghc.install)

----------------------------+
 testing-i686/PKGBUILD      |   43 ++++++++++++
 testing-i686/build.mk      |  150 +++++++++++++++++++++++++++++++++++++++++++
 testing-i686/ghc.install   |   19 +++++
 testing-x86_64/PKGBUILD    |   43 ++++++++++++
 testing-x86_64/build.mk    |  150 +++++++++++++++++++++++++++++++++++++++++++
 testing-x86_64/ghc.install |   19 +++++
 6 files changed, 424 insertions(+)

Copied: ghc/repos/testing-i686/PKGBUILD (from rev 142982, ghc/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2011-11-19 18:36:55 UTC (rev 142983)
@@ -0,0 +1,43 @@
+# $Id$
+# Maintainer: Vesa Kaihlavirta <vesa at archlinux.org>
+# Special note for devs looking to upgrade this package:
+#   ghc places a unique hash for each library when it is built.
+#   Libraries depend on versions specified by those hashes.
+#   This implies that all libraries need to be rebuilt when ghc is rebuilt.
+#   Also, due to dependency loop problems, haskell-ghc-paths and haddock
+#   do not carry version dependencies. You will have to remember to build them too.
+pkgname=ghc
+pkgver=7.2.2
+pkgrel=1
+pkgdesc="The Glasgow Haskell Compiler"
+arch=(i686 x86_64)
+url="http://www.haskell.org/ghc/"
+license=("custom")
+depends=('perl' 'gmp>=5.0' gcc)
+makedepends=(ghc happy perl libxslt docbook-xsl)
+install=ghc.install
+options=(!strip)
+groups=(haskell)
+source=("http://www.haskell.org/ghc/dist/$pkgver/ghc-$pkgver-src.tar.bz2"
+        build.mk)
+
+build() {
+  cd $srcdir/$pkgname-$pkgver
+
+  cp $srcdir/build.mk mk/build.mk
+
+  ./configure --prefix=/usr 
+  make -j1 || return 1
+}
+
+package() {
+  cd $srcdir/$pkgname-$pkgver
+  
+  make DESTDIR=$pkgdir install
+
+  install -Dm644 LICENSE ${pkgdir}/usr/share/licenses/ghc/license
+  install -d $pkgdir/usr/share/haskell
+}
+
+md5sums=('fa19d9fe5049b7a1352b0b7c9880c141'
+         '5a3e0880c80b1dcecf779ff2e63a9c0d')

Copied: ghc/repos/testing-i686/build.mk (from rev 142982, ghc/trunk/build.mk)
===================================================================
--- testing-i686/build.mk	                        (rev 0)
+++ testing-i686/build.mk	2011-11-19 18:36:55 UTC (rev 142983)
@@ -0,0 +1,150 @@
+# -----------------------------------------------------------------------------
+# A Sample build.mk
+#
+# Uncomment one of the following BuildFlavour settings to get the desired
+# overall build type, and then tweak the options in the relevant section
+# below.
+
+# Uncomment one of these to select a build profile below:
+
+# Full build with max optimisation (slow build)
+BuildFlavour = perf
+
+# Fastest build (libs unoptimised):
+#BuildFlavour = quickest
+
+# Fast build with optimised libraries:
+#BuildFlavour = quick
+
+# Profile the stage2 compiler:
+#BuildFlavour = prof
+
+# A development build, working on the stage 1 compiler:
+#BuildFlavour = devel1
+
+# A development build, working on the stage 2 compiler:
+#BuildFlavour = devel2
+
+GhcLibWays = v
+
+# -------- 1. A Performance/Distribution build--------------------------------
+
+ifeq "$(BuildFlavour)" "perf"
+
+# perf matches the default settings, repeated here for comparison:
+
+SRC_HC_OPTS     = -O -H64m
+GhcStage1HcOpts = -O -fasm
+GhcStage2HcOpts = -O2 -fasm
+GhcHcOpts       = -Rghc-timing
+GhcLibHcOpts    = -O2 -XGenerics
+GhcLibWays     += p
+
+ifeq "$(PlatformSupportsSharedLibs)" "YES"
+GhcLibWays += dyn
+endif
+
+endif
+
+# -------- A Fast build ------------------------------------------------------
+
+ifeq "$(BuildFlavour)" "quickest"
+
+SRC_HC_OPTS        = -H64m -O0 -fasm
+GhcStage1HcOpts    = -O -fasm
+GhcStage2HcOpts    = -O0 -fasm
+GhcLibHcOpts       = -O0 -fasm
+SplitObjs          = NO
+HADDOCK_DOCS       = NO
+BUILD_DOCBOOK_HTML = NO
+BUILD_DOCBOOK_PS   = NO
+BUILD_DOCBOOK_PDF  = NO
+
+endif
+
+# -------- A Fast build with optimised libs ----------------------------------
+
+ifeq "$(BuildFlavour)" "quick"
+
+SRC_HC_OPTS        = -H64m -O0 -fasm
+GhcStage1HcOpts    = -O -fasm
+GhcStage2HcOpts    = -O0 -fasm
+GhcLibHcOpts       = -O -fasm
+SplitObjs          = NO
+HADDOCK_DOCS       = NO
+BUILD_DOCBOOK_HTML = NO
+BUILD_DOCBOOK_PS   = NO
+BUILD_DOCBOOK_PDF  = NO
+
+endif
+
+# -------- Profile the stage2 compiler ---------------------------------------
+
+ifeq "$(BuildFlavour)" "prof"
+
+SRC_HC_OPTS        = -H64m -O0 -fasm
+GhcStage1HcOpts    = -O -fasm
+GhcStage2HcOpts    = -O -fasm
+GhcLibHcOpts       = -O -fasm
+
+GhcLibWays         += p
+GhcProfiled        = YES
+
+SplitObjs          = NO
+HADDOCK_DOCS       = NO
+BUILD_DOCBOOK_HTML = NO
+BUILD_DOCBOOK_PS   = NO
+BUILD_DOCBOOK_PDF  = NO
+
+endif
+
+
+# -------- A Development build (stage 1) -------------------------------------
+
+ifeq "$(BuildFlavour)" "devel1"
+
+SRC_HC_OPTS        = -H64m -O -fasm
+GhcLibHcOpts       = -O -dcore-lint
+GhcStage1HcOpts    = -Rghc-timing -O0 -DDEBUG
+GhcStage2HcOpts    = -Rghc-timing -O -fasm
+SplitObjs          = NO
+HADDOCK_DOCS       = NO
+BUILD_DOCBOOK_HTML = NO
+BUILD_DOCBOOK_PS   = NO
+BUILD_DOCBOOK_PDF  = NO
+
+endif
+
+# -------- A Development build (stage 2) -------------------------------------
+
+ifeq "$(BuildFlavour)" "devel2"
+
+SRC_HC_OPTS        = -H64m -O -fasm
+GhcLibHcOpts       = -O -dcore-lint
+GhcStage1HcOpts    = -Rghc-timing -O -fasm
+GhcStage2HcOpts    = -Rghc-timing -O0 -DDEBUG
+SplitObjs          = NO
+HADDOCK_DOCS       = NO
+BUILD_DOCBOOK_HTML = NO
+BUILD_DOCBOOK_PS   = NO
+BUILD_DOCBOOK_PDF  = NO
+
+endif
+
+# -----------------------------------------------------------------------------
+# Other settings that might be useful
+
+# profiled RTS
+#GhcRtsCcOpts =  -pg -g
+
+# Optimised/profiled RTS
+#GhcRtsCcOpts = -O2 -pg
+
+#GhcRtsWithFrontPanel = YES
+#SRC_HC_OPTS += `gtk-config --libs`
+
+# NoFib settings
+NoFibWays =
+STRIP=:
+
+

Copied: ghc/repos/testing-i686/ghc.install (from rev 142982, ghc/trunk/ghc.install)
===================================================================
--- testing-i686/ghc.install	                        (rev 0)
+++ testing-i686/ghc.install	2011-11-19 18:36:55 UTC (rev 142983)
@@ -0,0 +1,19 @@
+pkgname=ghc
+
+pre_upgrade() {
+    cat << EOF
+    ==> Unregistering cabalized packages...
+EOF
+    cd /usr/share/haskell/ && (for a in *; do ghc-pkg unregister --force $a &> /dev/null; done; cd - > /dev/null )
+    cat << EOF
+    ==> Done.
+EOF
+    
+}
+
+post_upgrade() {
+    cat << EOF
+    ==> All cabalized and yaourt-installed packages need to be reinstalled now.
+    ==> See /usr/share/haskell/ and ghc-pkg list --user for a tentative list of affected packages.
+EOF
+}

Copied: ghc/repos/testing-x86_64/PKGBUILD (from rev 142982, ghc/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2011-11-19 18:36:55 UTC (rev 142983)
@@ -0,0 +1,43 @@
+# $Id$
+# Maintainer: Vesa Kaihlavirta <vesa at archlinux.org>
+# Special note for devs looking to upgrade this package:
+#   ghc places a unique hash for each library when it is built.
+#   Libraries depend on versions specified by those hashes.
+#   This implies that all libraries need to be rebuilt when ghc is rebuilt.
+#   Also, due to dependency loop problems, haskell-ghc-paths and haddock
+#   do not carry version dependencies. You will have to remember to build them too.
+pkgname=ghc
+pkgver=7.2.2
+pkgrel=1
+pkgdesc="The Glasgow Haskell Compiler"
+arch=(i686 x86_64)
+url="http://www.haskell.org/ghc/"
+license=("custom")
+depends=('perl' 'gmp>=5.0' gcc)
+makedepends=(ghc happy perl libxslt docbook-xsl)
+install=ghc.install
+options=(!strip)
+groups=(haskell)
+source=("http://www.haskell.org/ghc/dist/$pkgver/ghc-$pkgver-src.tar.bz2"
+        build.mk)
+
+build() {
+  cd $srcdir/$pkgname-$pkgver
+
+  cp $srcdir/build.mk mk/build.mk
+
+  ./configure --prefix=/usr 
+  make -j1 || return 1
+}
+
+package() {
+  cd $srcdir/$pkgname-$pkgver
+  
+  make DESTDIR=$pkgdir install
+
+  install -Dm644 LICENSE ${pkgdir}/usr/share/licenses/ghc/license
+  install -d $pkgdir/usr/share/haskell
+}
+
+md5sums=('fa19d9fe5049b7a1352b0b7c9880c141'
+         '5a3e0880c80b1dcecf779ff2e63a9c0d')

Copied: ghc/repos/testing-x86_64/build.mk (from rev 142982, ghc/trunk/build.mk)
===================================================================
--- testing-x86_64/build.mk	                        (rev 0)
+++ testing-x86_64/build.mk	2011-11-19 18:36:55 UTC (rev 142983)
@@ -0,0 +1,150 @@
+# -----------------------------------------------------------------------------
+# A Sample build.mk
+#
+# Uncomment one of the following BuildFlavour settings to get the desired
+# overall build type, and then tweak the options in the relevant section
+# below.
+
+# Uncomment one of these to select a build profile below:
+
+# Full build with max optimisation (slow build)
+BuildFlavour = perf
+
+# Fastest build (libs unoptimised):
+#BuildFlavour = quickest
+
+# Fast build with optimised libraries:
+#BuildFlavour = quick
+
+# Profile the stage2 compiler:
+#BuildFlavour = prof
+
+# A development build, working on the stage 1 compiler:
+#BuildFlavour = devel1
+
+# A development build, working on the stage 2 compiler:
+#BuildFlavour = devel2
+
+GhcLibWays = v
+
+# -------- 1. A Performance/Distribution build--------------------------------
+
+ifeq "$(BuildFlavour)" "perf"
+
+# perf matches the default settings, repeated here for comparison:
+
+SRC_HC_OPTS     = -O -H64m
+GhcStage1HcOpts = -O -fasm
+GhcStage2HcOpts = -O2 -fasm
+GhcHcOpts       = -Rghc-timing
+GhcLibHcOpts    = -O2 -XGenerics
+GhcLibWays     += p
+
+ifeq "$(PlatformSupportsSharedLibs)" "YES"
+GhcLibWays += dyn
+endif
+
+endif
+
+# -------- A Fast build ------------------------------------------------------
+
+ifeq "$(BuildFlavour)" "quickest"
+
+SRC_HC_OPTS        = -H64m -O0 -fasm
+GhcStage1HcOpts    = -O -fasm
+GhcStage2HcOpts    = -O0 -fasm
+GhcLibHcOpts       = -O0 -fasm
+SplitObjs          = NO
+HADDOCK_DOCS       = NO
+BUILD_DOCBOOK_HTML = NO
+BUILD_DOCBOOK_PS   = NO
+BUILD_DOCBOOK_PDF  = NO
+
+endif
+
+# -------- A Fast build with optimised libs ----------------------------------
+
+ifeq "$(BuildFlavour)" "quick"
+
+SRC_HC_OPTS        = -H64m -O0 -fasm
+GhcStage1HcOpts    = -O -fasm
+GhcStage2HcOpts    = -O0 -fasm
+GhcLibHcOpts       = -O -fasm
+SplitObjs          = NO
+HADDOCK_DOCS       = NO
+BUILD_DOCBOOK_HTML = NO
+BUILD_DOCBOOK_PS   = NO
+BUILD_DOCBOOK_PDF  = NO
+
+endif
+
+# -------- Profile the stage2 compiler ---------------------------------------
+
+ifeq "$(BuildFlavour)" "prof"
+
+SRC_HC_OPTS        = -H64m -O0 -fasm
+GhcStage1HcOpts    = -O -fasm
+GhcStage2HcOpts    = -O -fasm
+GhcLibHcOpts       = -O -fasm
+
+GhcLibWays         += p
+GhcProfiled        = YES
+
+SplitObjs          = NO
+HADDOCK_DOCS       = NO
+BUILD_DOCBOOK_HTML = NO
+BUILD_DOCBOOK_PS   = NO
+BUILD_DOCBOOK_PDF  = NO
+
+endif
+
+
+# -------- A Development build (stage 1) -------------------------------------
+
+ifeq "$(BuildFlavour)" "devel1"
+
+SRC_HC_OPTS        = -H64m -O -fasm
+GhcLibHcOpts       = -O -dcore-lint
+GhcStage1HcOpts    = -Rghc-timing -O0 -DDEBUG
+GhcStage2HcOpts    = -Rghc-timing -O -fasm
+SplitObjs          = NO
+HADDOCK_DOCS       = NO
+BUILD_DOCBOOK_HTML = NO
+BUILD_DOCBOOK_PS   = NO
+BUILD_DOCBOOK_PDF  = NO
+
+endif
+
+# -------- A Development build (stage 2) -------------------------------------
+
+ifeq "$(BuildFlavour)" "devel2"
+
+SRC_HC_OPTS        = -H64m -O -fasm
+GhcLibHcOpts       = -O -dcore-lint
+GhcStage1HcOpts    = -Rghc-timing -O -fasm
+GhcStage2HcOpts    = -Rghc-timing -O0 -DDEBUG
+SplitObjs          = NO
+HADDOCK_DOCS       = NO
+BUILD_DOCBOOK_HTML = NO
+BUILD_DOCBOOK_PS   = NO
+BUILD_DOCBOOK_PDF  = NO
+
+endif
+
+# -----------------------------------------------------------------------------
+# Other settings that might be useful
+
+# profiled RTS
+#GhcRtsCcOpts =  -pg -g
+
+# Optimised/profiled RTS
+#GhcRtsCcOpts = -O2 -pg
+
+#GhcRtsWithFrontPanel = YES
+#SRC_HC_OPTS += `gtk-config --libs`
+
+# NoFib settings
+NoFibWays =
+STRIP=:
+
+

Copied: ghc/repos/testing-x86_64/ghc.install (from rev 142982, ghc/trunk/ghc.install)
===================================================================
--- testing-x86_64/ghc.install	                        (rev 0)
+++ testing-x86_64/ghc.install	2011-11-19 18:36:55 UTC (rev 142983)
@@ -0,0 +1,19 @@
+pkgname=ghc
+
+pre_upgrade() {
+    cat << EOF
+    ==> Unregistering cabalized packages...
+EOF
+    cd /usr/share/haskell/ && (for a in *; do ghc-pkg unregister --force $a &> /dev/null; done; cd - > /dev/null )
+    cat << EOF
+    ==> Done.
+EOF
+    
+}
+
+post_upgrade() {
+    cat << EOF
+    ==> All cabalized and yaourt-installed packages need to be reinstalled now.
+    ==> See /usr/share/haskell/ and ghc-pkg list --user for a tentative list of affected packages.
+EOF
+}



More information about the arch-commits mailing list